Subject: Re: [radext] I-D Action: draft-ietf-radext-ipv6-access-06.txt

From: Wojciech Dec <[email-masked]>
Date: Tue, 24 Apr 2012 16:02:48 +0200

Hi,

On 16/03/2012 03:46, "Leaf yeh" <[email-masked]> wrote:

> If the format of 'Route-IPv6-Information' is designed as follows:
> 
>         0                   1                   2                   3
>         0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>        +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>        |     Type      |    Length     |   Reserved    | Prefix-Length |
>        +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>        |                                                               |
>        .                        Prefix (variable)                      .
>        .                                                               .
>        |                                                               |
>        +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> 
> which is quoted from
> http://tools.ietf.org/id/draft-ietf-radext-ipv6-access-04.txt, it sounds we
> only care to the corresponding route sent to the user hosts through RA.
> 
> Then I begin to doubt the necessity of the network scenario, where the RG or
> host are expected to be multi-homed to both NASes, which shows as:
> 
>                                                    +-----+
>                                         (Radius)   | AAA |
>                                        ...........>|     |
>                                        .           +--+--+
>                                        v              ^
>                                    +---+---+          .
>                                    |  NAS  |          .(Radius)
>                                    |       |          .
>                                    +---+---+          v
>                     +------+           |          +---+---+
>      +------+       |  AN  |           |          |  NAS  |
>      |  RG/ +-------|      +-----------+----------+       |
>      | host |       |      |                      |       |
>      +------+ (DSL) +------+      (Ethernet)      +-------+
> 
>                               Figure 1
> 
> I guess Figure 1 could be simplified as:
> 
>                                                    +-----+
>                                                    | AAA |
>                                                    |     |
>                                                    +--+--+
>                                                       ^
>                                                       .
>                                                       .(Radius)
>                                                       .
>                                                       v
>                     +------+                      +---+---+
>      +------+       |  AN  |                      |  NAS  |
>      |  RG/ +-------|      +-----------+----------+       |
>      | host |       |      |                      |       |
>      +------+ (DSL) +------+      (Ethernet)      +-------+
> 
> Otherwise, we might need some text for the reasons or description why we keep
> the information of 'Route Preference' (or even 'Router Lifetime')  to meet the
> requirement from RFC4191. Right?

Well, the route preference can, and following RA semantics will among other
parameters like timers, still be there, applied to the RA through means that
are beyond the scope of this document, eg a default config. I'll add text to
that effect.

Regards,
Woj.
> 
> I am interested in the value of multi-home connecting to the NASes in the
> network architecture originally shown in Figure 1, I guess the 'Route
> Preference' for the default router of the user host might be useful in this
> case.
> 
> 
> Best Regards,
> Leaf
> 
> 
> ________________________________________
> From: [email-masked] [[email-masked]] on behalf of jouni
> korhonen [[email-masked]]
> Sent: Thursday, March 15, 2012 6:19
> To: Wojciech Dec
> Cc: Bernard Aboba; [email-masked]; Sanchez, Mauricio (HP Networking); Peter
> Deacon
> Subject: Re: [radext] I-D Action: draft-ietf-radext-ipv6-access-06.txt
> 
> On Mar 14, 2012, at 7:36 PM, Wojciech Dec wrote:
>> 
>> On 14/03/2012 18:26, "Peter Deacon" <[email-masked]> wrote:
>> 
>>> On Wed, 14 Mar 2012, Wojciech Dec (wdec) wrote:
>>> 
>>>> Personally, I'm ok either way, but perhaps in the wider interest of
>>>> closing off on the draft sooner rather than later I'd vote for (1). What
>>>> about the rest of the WG?
>>> 
>>> What is the purpose of signaling lifetime and preference via RADIUS?
>>> Could the NAS better handle these parameters intelligently and or with
>>> local configuration?
>> 
>> That was the original idea... Countered with the argument that the fuller
>> parameters should also be exposed, since they all relate to info sent in a
>> RA.
>> Looking at it from another angle, that of a dhcp-pd, we see that while the
>> prefix has its own attribute it does not expose any/all dhcp timers, values
>> etc in radius. Ie the equivalent of the -04 version.
> 
> RFC3162 Framed-IPv6-Prefix content that gets put into PIO does not either
> have anything else but the prefix and its length.
> 
>>> 
>>> If necessary it seems the NAS would have the capability to issue zero
>>> lifetime advertisements to invalidate current routes in order to effect
>>> routing changes as a result of session reauthorization.
>>> 
>>> Currently I prefer -04 version as I'm not seeing the value justify cost of
>>> another custom packet format for one attribute.
>> 
>> Given that the fix to go back to -04 is also trivial, I'd be happy with
>> that.
> 
> I would be happy to go back to -04 with this specific attribute as well.
> 
> - Jouni
> 
> 
> 
> 
> 
>> 
>> -Woj.
>>> 
>>> regards,
>>> Peter
>> 
> 
> _______________________________________________
> radext mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/radext
> _______________________________________________
> radext mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/radext

---

From: Wojciech Dec <[email-masked]>
Date: Tue, 24 Apr 2012 16:02:48 +0200

Hi,

Regards,
Woj.